



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>《JS权威指南学习总结--第二章词法结构》</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">《JS权威指南学习总结--第二章词法结构》</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-01 06:25:17 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>第二章词法结构</strong></p>
<p>内容要点：</p>
<p><strong>一.注释</strong></p>
<p>1. //表示单行注释</p>
<p>2. /*这里是一段注释*/</p>
<p>3.一般编辑器里加注释是：选中要加注释的语句，按 ctrl+/</p>
<p><strong>二.直接量</strong></p>
<p>所谓直接量，就是程序中直接使用的数据量，比如：</p>
<p>数字、小数、字符串文本、布尔值、正则表达式直接量</p>
<p><strong>三.标识符和保留字</strong></p>
<p>标识符作用：标识符就是一个名字，在JS中，标识符用来对变量和函数进行命名，或者用做JS代码中某些循环语句中的跳转位置的标记。</p>
<p>标识符命名规则：</p>
<p>1.必须以字母、下划线（_）或美元符（$）开始。</p>
<p>2.后续的字符可以是字母、数字、下划线或美元符（数字是不允许作为首字符出现的，以便JS可以轻便区分开标识符和数字）。</p>
<p>3.出于可移植性和易于书写的考虑，通常只使用ASCII字母和数字来书写标识符。然而需要注意的是，JS允许标识符中出现Unicode字符全集中的字母和数字。由此，程序员也可以使用非英语语言或数学符号来书写标识符。</p>
<p>4.和其他语言一样，JS保留了一些标识符来为自己所用，这些&ldquo;保留字&rdquo;不能用做普通的标识符。</p>
<p>保留字：</p>
<p>以下就是ECMAScript的全部关键字（带*号上标的是第5 版新增的关键字）：</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/999077/201608/999077-20160810164010606-163020596.png" /></p>
<p>以下是ECMA-262 第3 版定义的全部保留字：</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/999077/201608/999077-20160810164103856-606089397.png" /></p>
<p>第5 版把在非严格模式下运行时的保留字缩减为下列这些：</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/999077/201608/999077-20160810164152652-867646806.png" /></p>
<p>在严格模式下，第5 版还对以下保留字施加了限制：</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/999077/201608/999077-20160810164215059-648949546.png" /></p>
<p>注意， let 和yield 是第5 版新增的保留字；其他保留字都是第3 版定义的。为了最大程度地保证兼容性，建议大家将第3 版定义的保留字外加let 和yield 作为编程时的参考。<br />&nbsp;<br />&nbsp; 在实现ECMAScript 3 的JS 引擎中使用关键字作标识符，会导致"Identifier Expected" 错误。而使用保留字作标识符可能会也可能不会导致相同的错误，具体取决于特定的引擎。</p>
<p>第5 版对使用关键字和保留字的规则进行了少许修改。关键字和保留字虽然仍然不能作为标识符使用，但现在可以用作对象的属性名。一般来说，最好都不要使用关键字和保留字作为标识符和属性名，以便与将来的 &nbsp; &nbsp; &nbsp;ECMAScript 版本兼容。</p>
<p>严格模式下，同样对argument、eval标识符的使用做了严格限制，它们并不完全是保留字，但不能用做变量名、函数名或参数名。</p>
<p>js的具体实现可能定义独有的全局变量和函数，每一种特定的JS运行环境（客户端、服务器端等）都有自己的一个全局属性列表，这一点是需要牢记的</p>
<p><strong>四.可选的分号</strong></p>
<p>和其他许多编程语言一样，JS使用分号（; 英文）将语句分隔开。这对增强代码的可读性和整洁性是非常重要的。</p>
<p>缺少分隔符：一条语句的结束就成了下一条语句的开始。</p>
<p>在JS中，如果语句各种独占一行，通常可以省略语句之间的分号（程序结尾或右花括号"}"之前的分号也可以省略）。</p>
<p>关于JS中可选分号的问题有几个细节需要注意：</p>
<p>1.两条语句用两行书写，第一个分号可以省略掉的：</p>
<p>a=3;</p>
<p>b=4;</p>
<p>如果按照一行 a=3;b=4; 格式书写，第一个分号不能省略掉。</p>
<p>2.JS并不是在所有的换行处都填补分号：只有在缺少了分号就无法正确解析代码的时候，JS才会填补分号。</p>
<p>换句话说：如果当前语句和随后的语句的非空格字符不能当成一个整体来解析的话，JS就在当前语句行结束处填补分号。</p>
<p>var a</p>
<p>a</p>
<p>=</p>
<p>3</p>
<p>console.log(a)</p>
<p>JS将其解析为：</p>
<p>var a;a=3;console.log(a);</p>
<p>3.两种特殊的情况：</p>
<p>(1)在涉及到return、break和continue语句的场景中。如果这三个关键字后紧跟着换行，JS则会在换行处填补分号。</p>
<p>return</p>
<p>true</p>
<p>JS会解析成</p>
<p>return;true;</p>
<p>(2)在涉及到"++"和"--"运算符的时候，这些运算符可以作为表达式的前缀，也可以当作表达式的后缀。如果将其用作后缀表达式，它应该和表达式在同一行，否则，行尾将填补分号，同时"++","--"</p>
<p>将会作为下一行代码的前缀操作符并与之一起解析，</p>
<p>x</p>
<p>++</p>
<p>y</p>
<p>JS将解析成</p>
<p>x;++y;</p>
<p><em><em>&nbsp;</em></em></p>
<p><em>&nbsp;&nbsp;</em></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/39rkz04q.html">【JMS】JMS之ActiveMQ的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyznp29.html">URL最大长度限制</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq11x62q.html">Jmeter代理录制脚本</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ok13wp9.html">DBA&lowbar;Oracle冷备份案例脚本本法（案例）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdn2m78.html">&lbrack;转&rsqb;理解与使用Javascript中的回调函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj1ml28.html">cocos2d-x 制作资源下载页面</a>
		</li>
						<li><a href="https://www.batexi.com/a/96p7j0v8.html">Xamarin For Visual Studio 3&period;0&period;54&period;0 完整离线破解版</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zdyv09.html">【Android Developers Training】 52&period; 打印照片</a>
		</li>
						<li><a href="https://www.batexi.com/a/9507nk08.html">display&colon; run-in</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ge6y778.html">python3&period;6执行pip3时 Unable to create process using &amp;&num;39&semi;&amp;quot&semi;&amp;&num;39&semi;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j17xo8.html">JS中回调函数的写法</a>
		</li>
						<li><a href="https://www.batexi.com/a/95gnnn6q.html">Apex计划作业框架的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjo6m49.html">python随机数random</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5jonmq.html">centos7安装mysql5&period;7修改设置密码策略</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mjeen68.html">DevOps 解决方案 - 腾讯云</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwl50139.html">Linux基础命令---last</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2kmykoq.html">js 变量提升（JavaScript Scoping and Hoisting）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zk4w318.html">struts工作原理（图解）</a>
		</li>
						<li><a href="https://www.batexi.com/a/90242p3q.html">撩课-Web大前端每天5道面试题-Day24</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ek25e9.html">Harbor配置https，并安装内容信任插件&lpar;notary&rpar;</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93yplmr8.html">内存溢出System&period;OutOfMemoryException</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zok25nq.html">Springmvc&plus;Myabtis&plus;Ajax实现异步分页emp&plus;dept（全部查询及模糊查询）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1kvomz9.html">sqlserver和Windows资源管理器争用内存</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7zev0e9.html">&lbrack;折腾纪实&rsqb;JAVA的坑</a>
			</li>
						<li><a href="https://www.batexi.com/a/8oj4rkxq.html">UML中的类间的关系</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zokn1nq.html">A&period; Grasshopper And the String&lpar;CF ROUND 378 DIV2&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/9503e068.html">php之soap使用</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jkrow8.html">zookeeper&lpar;1&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1kvg729.html">LeetCode OJ 88&period; Merge Sorted Array</a>
			</li>
						<li><a href="https://www.batexi.com/a/9ge3mez8.html">【入门一】一些简单的C程序及VS的安装</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
